@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    height: 100%;
}

a {
    color: #0366d6;
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.top-row {
    height: 40px; 
    display: flex;
    align-items: center;
}

.main {
    flex: 1;
    height: calc(100% - 40px);
}
    .main.user-connected {
        /*border: 4px solid green;*/
        /* 100% - top bar - footer */
        height: calc(100% - 40px - 40px);
        margin-bottom: 40px;
    }

.sidebar {
    background: linear-gradient(180deg, rgba(224,197,155,0) 1%, rgba(224,197,155,0.6) 10%, rgba(238,224,202,0.8) 90%, rgba(195,178,151,0.8) 100%);
}

    .sidebar .top-row {
        background-color: rgba(0,0,0,0);
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
    }

    .sidebar .oi {
        text-align: center;
        width: 1rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

.sidebar .nav-item {
    font-size: 0.8rem;
    padding-bottom: 0.5rem;
}

    .sidebar .nav-item:first-of-type {
        padding-top: 1rem;
    }

    .sidebar .nav-item:last-of-type {
        padding-bottom: 1rem;
    }

    .sidebar .nav-item a {
        border-radius: 24px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        padding-bottom: 0.2rem;
    }

        .sidebar .nav-item a.active {
            box-shadow: 4px 4px 10px rgba(0,0,0,0.2);
            background-image: linear-gradient(150deg, rgba(224,197,155,0.0), rgba(200,150,50,0.4));
            border-top: 2px solid #a07633;
            border-bottom: 3px solid #a07633;
        }

.nav-item a {
    color: #875108;
}

.nav-item a:hover {
    color: #875108;
}

.content {
    /*padding-top: 1.1rem;*/
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

/* SD~~ pb with chat box */
/*
.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}
*/

.sidebar .nav-text {
    margin-left: 0.7rem;
    margin-bottom: 0.2rem;
}

@media (min-width: 576px) and (min-height: 500px) {
    app {
        flex-direction: row;
    }

    .wrapper-sidebar {
        height: 100vh;
        position: sticky;
        z-index: 1;
    }

    .sidebar {
        background: linear-gradient(90deg, rgba(224,197,155,0) 1%, rgba(224,197,155,0.6) 10%, rgba(238,224,202,0.8) 90%, rgba(195,178,151,0.8) 100%);
        box-shadow: 10px 10px 15px rgba(0,0,0,0.4);
        height: 100%;
        position: sticky;
        top: 0;
    }

    .footer {
        margin-left: 64px;
        padding-right: 64px;
    }

    .main > div {
        padding-left: 0.5rem !important;
        padding-right: 1rem !important;
    }

    .navbar-toggler-section,
    .navbar-top-section {
        display: none;
    }

    .sidebar .nav-text {
        display: none;
    }
}

@media (min-width: 992px) and (min-height: 500px) {
    .wrapper-sidebar {
        padding: 60px 10px 50px 20px;
        /*max-height: 660px;*/
    }

    .sidebar {
        border-top: 4px solid #a07633;
        border-bottom: 4px solid #a07633;
        padding: 10px 0px 10px 10px;
        border-radius: 20px;
        width: 170px;
    }

        .sidebar .nav-text {
            display: block;
        }

    .footer {
        margin-left: 0px;
        padding-right: 0px;
    }
}


.back-section {
}
    .back-section .back-back {
        position: absolute;
        top: 20px;
        left: 20px;
        z-index: 1;
    }
        .back-section .back-back img {
            opacity: 0.8;
            width: 48px;
            height: 48px;
        }
            .back-section .back-back img:hover {
                opacity: 1;
            }
    .back-section .back-close {
        position: absolute;
        top: 0px;
        right: 30px;
        z-index: 1; 
    }
        .back-section .back-close img {
            width: 48px;
            height: 48px;
        }

.wrapper-content {
    /*border: 4px blue red;*/
    position: relative;
    margin: 0px;
    padding: 0px;
    height: 100%;
}

#blazor-error-ui {
    display: none;
    cursor: pointer;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 22000;
    overflow: hidden;
    background-color: #fff;
    opacity: 0.85;
    text-align: center;
    font-weight: bold;
    font-family: muli, Arial, sans-serif;
    transition: all 600ms ease-in;
}
